source("randcor.R")

t <- read.table("all-author-countries.txt", sep="\t", header=F, col.names=c("country", "pop.density", "gdppc", "avg.co2", "num.papers"))

rand.cor(t$gdppc, t$avg.co2, nsim=100000)

rand.cor(log(t$gdppc), log(t$avg.co2), nsim=100000)

rand.cor(t$gdppc, t$num.papers, nsim = 100000)

rand.cor(log(t$gdppc), log(t$num.papers), nsim = 100000)

rand.cor(t$gdppc, t$avg.co2 * t$num.papers, nsim = 100000)

rand.cor(log(t$gdppc), log(t$avg.co2 * t$num.papers), nsim = 100000)
