-- Country of Author, Percentage of CO2, Total CO2, Average CO2, Number of Papers
.mode tabs
select Divisions.name, (sum(co2) / (select sum(co2) from papers) * 1000) / 10 percentage, sum(co2), avg(co2), count(*) from Papers left join
Locations on Papers.corrLocId = Locations.id left Join
Divisions on Locations.cc1 = Divisions.country
where Divisions.code = '00' and co2 notnull
group by Locations.cc1
having count(*) > 20
order by percentage desc;
