-- Country of Author, Percentage of CO2, Total CO2, Number of Papers
.mode tabs
select Divisions.name, (sum(co2) / (select sum(co2) from papers) * 1000) / 10 percentage, sum(co2), avg(co2), count(*) from Papers
left join Locations as corrLocations on Papers.corrLocId = corrLocations.id
left join Locations as confLocations on Papers.confLocId = confLocations.id
left join Divisions on corrLocations.cc1 = Divisions.country
where Divisions.code = '00' and co2 notnull and
corrLocations.cc1 != confLocations.cc1
group by corrLocations.cc1
having count(*) > 20
order by percentage desc;
