# Map to adjust entries found in the database
#
	# Pseudo states
		'AB' => {
			'cc1' => 'CA',
			'adm1' => '01'
		},
		'BC' => {
			'cc1' => 'CA',
			'adm1' => '02'
		},
		'NB' => {
			'cc1' => 'CA',
			'adm1' => '04'
		},
		'NS' => {
			'cc1' => 'CA',
			'adm1' => '07'
		},
		'ON' => {
			'cc1' => 'CA',
			'adm1' => '08'
		},
		'QC' => {
			'cc1' => 'CA',
			'adm1' => '10'
		},
		'SA' => {
			'cc1' => 'AS',
			'adm1' => '05'
		},
		'SK' => {
			'cc1' => 'CA',
			'adm1' => '10'
		},
		'UK' => {
			'cc1' => 'UK',
		},
		# Clases with Washington
		#'WA' => {
		#	'cc1' => 'AS',
		#	'adm1' => '08'
		},
	# Manually-coded resolutions.  Numbers refer to instances in
	# 63034 papers
	%fixed_names = {
		'Vancouver, BC' => {		# 619 entries
			'name' => 'Vacnouver',
			'cc1' => 'CA',
			'adm1' => '02'
		},
		'Montreal, Que.' => {		# 249 entries
			'name' => 'Montreal',
			'cc1' => 'CA',
			'adm1' => '10'
		},
		'Hong Kong' => {		# 249 entries
			'Name' => 'Hong Kong (historical)',
			'cc1' => 'HK',
			'adm1' => '00'
		},
		'Sydney, NSW' => {		# 198 entries
			'name' => 'Sydney',
			'cc1' => 'AS',
			'adm1' => '02'
		},
		'Montreal, QC.' => {		# 178 entries
			'name' => 'Montreal',
			'cc1' => 'CA',
			'adm1' => '10'
		},
		'Toronto, Ont.' => {		# 145 entries
			'name' => 'Toronto',
			'cc1' => 'CA',
			'adm1' => '08'
		},
		'Tokyo, Jpn' => {		# 140 entries
			'name' => 'Tokyo',
			'cc1' => 'JA',
			'adm1' => '40'
		},

