all.countries <- read.table("~/Documents/Work/aueb/publications/confcarbon/paper/analysis/all-countries.txt", header=F, sep="\t", col.names=c("cc", "name", "co2", "count", "lat", "long"));

all.conf.countries <- read.table("~/Documents/Work/aueb/publications/confcarbon/paper/analysis/all-conf-countries.txt", header=F, sep="\t", col.names=c("cc", "name","co2", "count", "lat", "long"));

common <- intersect(all.countries$cc, all.conf.countries$cc);

common.all.countries <- subset(all.countries, all.countries$cc %in% common);

common.all.conf.countries <- subset(all.conf.countries, all.conf.countries$cc %in% common);

o <- order(common.all.countries$cc);
sorted.common.all.countries <- common.all.countries[o,]
o <- order(common.all.conf.countries$cc);
sorted.common.all.conf.countries <- common.all.conf.countries[o,];
cor.test(sorted.common.all.countries$co2, sorted.common.all.conf.countries$co2, method="spearman")


o.co2 <- order(common.all.countries$co2);
r <- rank(common.all.countries$cc);
o.cc <- order(common.all.conf.countries$cc);
ranked.common.all.countries <- common.all.countries[o.co2,];
ranked.common.all.conf.countries <- common.all.conf.countries[r,];
