-- Country (author or conference location), Percentage of CO2, Total CO2, Number of Papers
.mode tabs
select Divisions.name, (sum(co2) / (select sum(co2) from papers) * 1000) / 10 percentage, sum(co2), avg(co2), count(*) from
(
select Locations.cc1 cc1, co2 from Papers
left join Locations on Papers.corrLocId = Locations.id
where co2 notnull
union
select Locations.cc1 cc1, co2 from Papers
left join Locations on Papers.confLocId = Locations.id
where co2 notnull
)
left Join
Divisions on cc1 = Divisions.country
where Divisions.code = '00' and CO2 notnull
group by cc1
having count(*) > 20
order by percentage desc;
